---
title: "Make"
description: "Hono atu a Quire ki te Make me ngā webhook me te REST API."
image: "https://docs.quirelms.com/og.png"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.quirelms.com/mi/llms.txt
> Use this file to discover all available pages before exploring further.

# Make

<span id="make"></span>

Ka hono te Make ki a Quire ma te REST API me ngā webhook, me ōna ake o Make ngā
wāhanga HTTP me webhook. He wātea ngā mea katoa i te [tohutoro
API](https://docs.quirelms.com/api/).

## Tīmata i tētahi horopaki mai i tētahi take Quire <!--quire:start-a-scenario-from-a-quire-event-->

1. Tāpiritia te wāhanga **Webhooks** te **Custom webhook** hei wāhanga tuatahi,
   ā, tāruatia tōna wāhi.
2. I roto i a Quire, tuwherahia te `/admin/webhooks`, kōwhiria te **Tāpiritia
   tētahi kōtuinga**, tāpiritia te wāhi, ā, kōwhiria ngā take. Ka āea te take
   tauira o Quire te Make te mōhio i te āhua o te tinana: mahia te wāhanga kotahi
   wā i te wā tukuna ana ia.
3. Tautara te āhua i mua i te mahi. I ngā tautuhinga matua o te webhook, tukuna
   ngā tohu tuku ki mua, kātia tātaritia te `webhook-signature` ki te
   `{webhook-id}.{webhook-timestamp}.{body}` me te kupu tūmataiti o te kōtuinga,
   i te āhua e whakaaturia ana i te [aratohu kaiwhanoke](/mi/developer/#webhooks).
   Tāpiritia tētahi tātari ka tū ana te horopaki i te wā kāore e tautara ana te
   tātaritanga.

## Te karanga ki a Quire mai i tētahi horopaki <!--quire:call-quire-from-a-scenario-->

Whakamahia te wāhanga **HTTP** te **Mahia tētahi tono**:

| Āpure | Uara |
| --- | --- |
| URL | `https://acme.quirelms.com/api/v1/<resource>` |
| Ara | I te āhua e kīia ana e te tohutoro API |
| Ngā tohu tuku | `Authorization: Bearer qk_live_...`, me te `Idempotency-Key` mō ngā tuhi |
| Āhua tinana | Raw, JSON |
| Tātari te whakautu | Āe |

Hangahia tētahi kī mō te Make anake i te `/admin/integrations/api-keys`, me ngā
rohe anake e hiahiatia ana e te horopaki. Mō ngā rārangi, haere tonu i te wā
`page.has_more` e tū tonu ana, me te tuku `page.next_cursor` hei `cursor`: ka
mahi tēnei te **Repeater** o Make me te **Set variable** e kawe ana te pūni.

Mō ngā horopaki e tika ana te mahi i te ingoa o tētahi tāngata, rēhitatia tētahi
kaihoko OAuth i te `/admin/integrations/oauth-clients`, ā, whakamahia te wāhanga
**HTTP** o Make te **Mahia tētahi tono OAuth 2.0** me a ia.

## Tauira: whakarōpū ā-oma o te oti <!--quire:example-weekly-completion-digest-->

1. **Te whakarite wā**: ia Rāhina.
2. **HTTP**: `GET /api/v1/course_completions?updated_since=<a week ago>`.
3. **Iterator** ki runga i te `data`, **Aggregator** ki tētahi papa.
4. Tukuna te papa mā te īmēra rānei mā te whakaputanga.

Source: https://docs.quirelms.com/mi/integrations/make/index.mdx
